package com.tofly.qualitycontrol.service;

import com.tofly.pojo.message.Messagepush;
import com.tofly.qualitycontrol.qcenum.QualityControlMessageTopicEnum;

import java.util.Date;

/**
 * @author BZ-DJJ
 */
public interface IQualityControlMessageRecipientService {

    /**
     * 初始化对应接收人信息
     *
     * @param messagepush 消息对象
     * @param userId 接收人id
     */
    void setMessageRecipient(Messagepush messagepush,Long userId);

    void overrideSetMessageRecipient(Messagepush messagepush,Long userId);

    void setMessageRecipient(Messagepush messagepush,Long userId, Date endDate);

    void setMessageRecipient(Messagepush messagepush,Long userId, Date endDate,boolean isTask);

    void removeDB(Long gdglinfoId, QualityControlMessageTopicEnum topicEnum);

}
